Subject: Re: bug#28182: maybe implement CTRL++ to zoom text

From: Juri Linkov <[email-masked]>
Date: Wed, 09 Oct 2019 23:54:28 +0300

>> > What is expected is that mouse scrolling in the non-selected window
>> > will affect the non-selected window.  Does this need to be changed?
>>
>> I'm not sure, but I think I agree with you that it should be changed.
>> Perhaps we could try it and see if it feels better?
>
> It turns out there is already a defcustom 'mouse-wheel-follows-mouse'
> that controls this behaviour when scrolling.  If non-nil (the default)
> it will scroll the window that the mouse pointer is over, otherwise
> the one where point is.  So the job is not that hard: we should just
> do what the user wants.

Thanks for finding mouse-wheel-follow-mouse, I didn't know about it.

> The attached patch makes changing font size respect that option.  What
> do you think?

Your refactoring makes code more nice, thanks.